<?php
namespace WglAddons\Templates;

defined('ABSPATH') || exit;

use WglAddons\Includes\Wgl_Icons;


if (!class_exists('WglButton')) {
    /**
     * Wgl Elementor Portfolio Render
     *
     *
     * @package stoni-core\includes\elementor
     * @author WebGeniusLab <webgeniuslab@gmail.com>
     * @since 1.0.0
     */
    class WglButton
    {
        private static $instance;

        public static function get_instance()
        {
            if (is_null(self::$instance)) {
                self::$instance = new self();
            }

            return self::$instance;
        }

        public function render( $self, $settings )
        {
            $self->add_render_attribute('wrapper', 'class', 'elementor-button-wrapper');

            if (!empty($settings['link']['url'])) {
                $self->add_link_attributes('button', $settings['link']);
            }

            $self->add_render_attribute('button', 'class', 'wgl-button elementor-button');
            $self->add_render_attribute('button', 'role', 'button');

            if (!empty($settings['button_css_id'])) {
                $self->add_render_attribute('button', 'id', $settings['button_css_id']);
            }

            if (!empty($settings['size'])) {
                $self->add_render_attribute('button', 'class', 'elementor-size-' . $settings['size']);
            }

            if (isset($settings['hover_animation'])) {
                $self->add_render_attribute('button', 'class', 'elementor-animation-' . $settings['hover_animation']);
            }

            ?>
            <div <?php echo $self->get_render_attribute_string( 'wrapper' ); ?>>
                <a <?php echo $self->get_render_attribute_string( 'button' ); ?>>
                    <?php $this->render_text($self, $settings); ?>
                </a>
            </div>
            <?php

        }

        public function render_text($self, $settings)
        {
            $icon_align = $settings['icon_align'] ?? '';

            $self->add_render_attribute([
                'content-wrapper' => [
                    'class' => [
                        'elementor-button-content-wrapper',
                        'elementor-align-icon-' . $icon_align,
                    ]
                ],
                'wrapper' => [
                    'class' => 'elementor-button-icon',
                ],
                'text' => [
                    'class' => 'elementor-button-text',
                ],
            ]);

            echo '<span ', $self->get_render_attribute_string('content-wrapper'), '>',
                (!empty($settings['icon_type']) ? (new Wgl_Icons)->build($self, $settings) : ''),
                '<span ', $self->get_render_attribute_string('text'), '>',
                    $settings['text'],
                '</span>',
            '</span>';
        }
    }
}