<?php

namespace WglAddons\Templates;

defined('ABSPATH') || exit; // Abort, if called directly.

/**
 * Wgl Elementor Portfolio Render
 *
 *
 * @package stoni-core\includes
 * @author WebGeniusLab <webgeniuslab@gmail.com>
 * @since 1.0.0
 */

class WglCountDown
{
    private static $instance;

    public static function get_instance()
    {
        if (null == self::$instance) {
            self::$instance = new self();
        }

        return self::$instance;
    }

    public function render($self, $atts)
    {
        extract($atts);

        wp_enqueue_script('jquery-coundown', get_template_directory_uri() . '/js/jquery.countdown.min.js');

        $countdown_class = '';

        // Module unique id
        $countdown_id = uniqid("countdown_");
        $countdown_attr = ' id=' . $countdown_id;


        $countdown_class .= ' cd_' . $size;
        $countdown_class .= ' align_left';
        $countdown_class .= (bool) $show_separating ? ' show_separating' : '';

        $f = !(bool)$hide_day ? 'd' : '';
        $f .= !(bool)$hide_hours ? 'H' : '';
        $f .= !(bool)$hide_minutes ? 'M' : '';
        $f .= !(bool)$hide_seconds ? 'S' : '';

        // Countdown data attribute http://keith-wood.name/countdown.html
        $data_array = [];

        $data_array['format'] = !empty($f) ? esc_attr($f) : '';

        $data_array['year'] = esc_attr($countdown_year);
        $data_array['month'] = esc_attr($countdown_month);
        $data_array['day'] = esc_attr($countdown_day);
        $data_array['hours'] = esc_attr($countdown_hours);
        $data_array['minutes'] = esc_attr($countdown_min);

        $data_array['labels'][] = esc_attr(esc_html__('Years', 'stoni-core'));
        $data_array['labels'][] = esc_attr(esc_html__('Months', 'stoni-core'));
        $data_array['labels'][] = esc_attr(esc_html__('Weeks', 'stoni-core'));
        $data_array['labels'][] = esc_attr(esc_html__('Days', 'stoni-core'));
        $data_array['labels'][] = esc_attr(esc_html__('Hours', 'stoni-core'));
        $data_array['labels'][] = esc_attr(esc_html__('Minutes', 'stoni-core'));
        $data_array['labels'][] = esc_attr(esc_html__('Seconds', 'stoni-core'));
        $data_array['labels1'][] = esc_attr(esc_html__('Year', 'stoni-core'));
        $data_array['labels1'][] = esc_attr(esc_html__('Month', 'stoni-core'));
        $data_array['labels1'][] = esc_attr(esc_html__('Week', 'stoni-core'));
        $data_array['labels1'][] = esc_attr(esc_html__('Day', 'stoni-core'));
        $data_array['labels1'][] = esc_attr(esc_html__('Hour', 'stoni-core'));
        $data_array['labels1'][] = esc_attr(esc_html__('Minute', 'stoni-core'));
        $data_array['labels1'][] = esc_attr(esc_html__('Second', 'stoni-core'));

        $data_attribute = json_encode($data_array, true);

        $output = '<div' . $countdown_attr . ' class="wgl-countdown' . esc_attr($countdown_class) . '" data-atts="' . esc_js($data_attribute) . '">';
        $output .= '</div>';

        echo \Stoni_Theme_Helper::render_html($output);
    }
}
