<?php
namespace WglAddons\Templates;

use Elementor\Plugin;
use Elementor\Frontend;
use WglAddons\Includes\Wgl_Loop_Settings;
use WglAddons\Includes\Wgl_Elementor_Helper;
use WglAddons\Includes\Wgl_Carousel_Settings;
use WglAddons\Includes\Wgl_Icons;
use WglAddons\Templates\WglButton;

if ( ! defined( 'ABSPATH' ) ) { exit; }

/**
* Wgl Elementor Portfolio Render
*
*
* @class        WglPricingTable
* @version      1.0
* @category Class
* @author       WebGeniusLab
*/

class WglPricingTable{

    private static $instance = null;
    public static function get_instance( ) {
        if ( null == self::$instance ) {
            self::$instance = new self( );
        }

        return self::$instance;
    }

    public function render( $self, $atts ){

        extract($atts);

        if (!empty($button_title)) {
            // button options array
            $button_options = array(
                'icon_type' => '',
                'text' => $button_title,
                'link' => $link,
                'size' => 'lg',
            );
        }

        // Wrapper classes
        $pricing_wrap_classes = (bool)$hover_animation ? ' hover-animation' : '';

        // Title output
        $pricing_title_out = !empty($pricing_title) ? '<h4 class="pricing_title">'.esc_html($pricing_title).'</h4>' : '';

        // Currency output
        $pricing_cur_out = !empty($pricing_cur) ? '<span class="pricing_cur">'.esc_html($pricing_cur).'</span>' : '';

        // Price output
        if (isset($pricing_price)) {
            preg_match( "/(\d+)(\.)(\d+)$/", $pricing_price, $matches, PREG_OFFSET_CAPTURE );
            switch (isset($matches[0])) {
                case false:
                    $pricing_price_out = '<div class="pricing_price">'.esc_html($pricing_price).'</div>';
                    break;
                case true:
                    $pricing_price_out = '<div class="pricing_price">';
                        $pricing_price_out .= esc_html($matches[1][0]);
                        $pricing_price_out .= '<span class="price_decimal">'.esc_html($matches[3][0]).'</span>';
                    $pricing_price_out .= '</div>';
                    break;
            }
        }

        // Price Quantity unit
        $pricing_quantity_unit = !empty($pricing_quantity) ? '<div class="pricing_quantity-unit">'.esc_html($pricing_quantity).'</div>' : '';

        // Price description output
        $pricing_desc_out = !empty($pricing_desc) ? '<div class="pricing_desc">'.esc_html($pricing_desc).'</div>' : '';

        // Content
        $pricing_content = !empty($content) ? $content : '';

        // Button output
        ob_start();
            $button = new WglButton();
            echo $button->render($self, $button_options);
        $pricing_button = ob_get_clean();

        // Render html
        $pricing_inner = '<div class="pricing_header">';
            $pricing_inner .= $pricing_title_out;
            $pricing_inner .= '<div class="pricing_price_wrap">';
                $pricing_inner .= $pricing_cur_out;
                $pricing_inner .= $pricing_price_out;
                $pricing_inner .= $pricing_quantity_unit;
            $pricing_inner .= '</div>';
            $pricing_inner .= $pricing_desc_out;
        $pricing_inner .= '</div>';
        $pricing_inner .= '<div class="pricing_content">';
            $pricing_inner .= $pricing_content;
        $pricing_inner .= '</div>';
        $pricing_inner .= '<div class="pricing_footer">';
            $pricing_inner .= !empty($button_title) ? $pricing_button : '';
        $pricing_inner .= '</div>';


        $output = '<div class="wgl-pricing_plan'.esc_attr($pricing_wrap_classes).'">';
            $output .= '<div class="pricing_plan_wrap">';
                $output .= $pricing_inner;
            $output .= '</div>';
        $output .= '</div>';

        echo \Stoni_Theme_Helper::render_html($output);
        
    }

}