<?php

namespace WglAddons\Templates;

defined('ABSPATH') || exit;

/**
 * Wgl Elementor Portfolio Render
 *
 *
 * @author WebGeniusLab <webgeniuslab@gmail.com>
 * @since 1.0.0
 */

class WglProgressBar
{
    private static $instance;

    public static function get_instance() {
        if ( null == self::$instance ) {
            self::$instance = new self();
        }

        return self::$instance;
    }

    public function render( $self, $atts )
    {
        extract($atts);

        wp_enqueue_script('jquery-appear', get_template_directory_uri() . '/js/jquery.appear.js');

        $self->add_render_attribute( 'bar', [
			'class' => 'progress_bar',
			'data-width' => esc_attr((int)$value['size']),
        ] );

        $self->add_render_attribute( 'label', [
			'class' => 'progress_label',
        ] );

        ?>
        <div class="wgl-progress_bar">
            <div class="progress_wrap">
                <div class="progress_label_wrap">
                    <?php if (!empty($progress_title)) { ?>
                        <<?php echo esc_attr($progress_title_tag); ?> <?php echo $self->get_render_attribute_string( 'label' ); ?>><?php
                            echo esc_html($progress_title);
                        ?></<?php echo esc_attr($progress_title_tag); ?>>
                    <?php } ?>
                    <div class="progress_value_wrap">
                        <?php if (!empty($value['size'])) { ?>
                            <span class="progress_value"><?php echo esc_html((int)$value['size']); ?></span>
                        <?php } ?>
                        <?php if (!empty($units)) { ?>
                            <span class="progress_units"><?php echo esc_html($units); ?></span>
                        <?php } ?>
                    </div>
                </div>
                <div class="progress_bar_wrap-wrap">
                    <div class="progress_bar_wrap">
                        <div <?php echo $self->get_render_attribute_string( 'bar' ); ?>></div>
                    </div>
                </div>
            </div>
        </div>
        <?php

    }

}