<?php
/**
 * The template for displaying 404 page
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package    WordPress
 * @subpackage Stoni
 * @since      1.0
 * @version    1.0
 */
get_header();

$img_alt = '';

// Get 404 Logotype

$custom_logo_switch = Stoni_Theme_Helper::get_option('404_custom_logo_switch');
$header_logo_src = $logo_height  = array();
$logo_height_custom = '';

if($custom_logo_switch == '1'){
	$header_logo_src = Stoni_Theme_Helper::get_option('404_logotype');
}else{
	$header_logo_src = Stoni_Theme_Helper::get_option('header_logo');
}

$header_logo_id = !empty($header_logo_src) ? $header_logo_src['id'] : ''; 
$header_logo_src = !empty($header_logo_src) ? $header_logo_src['url'] : ''; 

// logo default image alt
$def_img_alt = get_post_meta($header_logo_id, '_wp_attachment_image_alt', true); 

if($custom_logo_switch == '1'){
	$logo_height_custom = Stoni_Theme_Helper::get_option('404_logo_height_custom');
	$logo_height = Stoni_Theme_Helper::get_option('404_logo_height');
	$logo_height = $logo_height['height'];
}else{
	$logo_height_custom = Stoni_Theme_Helper::get_option('logo_height_custom');
	 $logo_height = Stoni_Theme_Helper::get_option('logo_height');
     $logo_height = $logo_height['height'];
}

$logo_height_css = '';

if (!empty($logo_height) && $logo_height_custom == '1') {
	$logo_height_css .= 'height:'.(esc_attr((int) $logo_height)).'px;';
}
$logo_height_style = !empty($logo_height_css) ? ' style="'.$logo_height_css.'"' : '';

$styles = '';
$bg_render = Stoni_Theme_Helper::bg_render('404_page_main');
$main_bg_color = Stoni_Theme_Helper::get_option('404_page_main_bg_image')['background-color'];

$styles .= !empty($main_bg_color) ? 'background-color:'.$main_bg_color.';' : '';
$styles .= !empty($bg_render) ? $bg_render : '';
?>
	<div class="wgl-container full-width">
		<div class="row">
			<div class="wgl_col-12">
				<section class="page_404_wrapper"<?php echo (!empty($styles) ? ' style="'.esc_attr($styles).'"' : '');?>>
					<div class="page_404_wrapper-container">
						<div class="row">
							<div class="wgl_col-12 wgl_col-md-12">
								<div class="main_404-wrapper">
									<?php
										if (!empty($header_logo_src)) {
											?>
											<div class="banner_404_logotype">
												<a class="logo_link" href="<?php echo esc_url(home_url('/')); ?>">
													<img class="404_logotype" src="<?php echo esc_url($header_logo_src); ?>" alt="<?php echo esc_attr($def_img_alt); ?>" <?php echo Stoni_Theme_Helper::render_html($logo_height_style);?>>
												</a>
											</div>
										<?php
										}
									?>
									<div class="banner_404"><?php echo esc_html( '404' ); ?></div>
									<h2 class="banner_404_title"><?php echo esc_html__( 'Sorry We Can\'t Find That Page!', 'stoni' ); ?></h2>
									<p class="banner_404_text"><?php echo esc_html__( 'The page you are looking for was moved, removed, renamed or never existed.', 'stoni' ); ?></p>
									<div class="stoni_404_search">
										<?php get_search_form(); ?>
									</div>
									<div class="stoni_404_button stoni_module_button wgl_button wgl_button-l wgl_button-icon_right btn-gradient">
										<a class="wgl_button_link" href="<?php echo esc_url(home_url('/')); ?>"><span><?php esc_html_e( 'Take Me Home', 'stoni' ); ?></span></a>
									</div>									
								</div>
							</div>
						</div>
					</div>
				</section>
			</div>
		</div>
	</div>
<?php get_footer(); ?>