<?php


if (!class_exists( 'RWMB_Loader' )) {
	return;
}
class Stoni_Metaboxes{
	public function __construct(){
		// Team Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'team_meta_boxes' ) );

		// Portfolio Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'portfolio_meta_boxes' ) );
		add_filter( 'rwmb_meta_boxes', array( $this, 'portfolio_post_settings_meta_boxes' ) );
		add_filter( 'rwmb_meta_boxes', array( $this, 'portfolio_related_meta_boxes' ) );

		// Blog Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'blog_settings_meta_boxes' ) );
		add_filter( 'rwmb_meta_boxes', array( $this, 'blog_meta_boxes' ) );
		add_filter( 'rwmb_meta_boxes', array( $this, 'blog_related_meta_boxes' ));

		// Page Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'page_layout_meta_boxes' ) );
		// Colors Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'page_color_meta_boxes' ) );
		// Logo Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'page_logo_meta_boxes' ) );
		// Header Builder Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'page_header_meta_boxes' ) );
		// Title Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'page_title_meta_boxes' ) );
		// Side Panel Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'page_side_panel_meta_boxes' ) );

		// Social Shares Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'page_soc_icons_meta_boxes' ) );
		// Footer Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'page_footer_meta_boxes' ) );
		// Copyright Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'page_copyright_meta_boxes' ) );

		// Shop Single Fields Metaboxes
		add_filter( 'rwmb_meta_boxes', array( $this, 'shop_catalog_meta_boxes' ) );
		add_filter( 'rwmb_meta_boxes', array( $this, 'shop_single_meta_boxes' ) );
	}

	public function team_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Team Options', 'stoni' ),
	        'post_types' => array( 'team' ),
	        'context' => 'advanced',
	        'fields' => array(
	        	array(
		            'name' => esc_html__( 'Info Name Department', 'stoni' ),
		            'id' => 'department_name',
		            'type' => 'text',
		            'class' => 'name-field'
		        ),
	        	array(
		            'name' => esc_html__( 'Member Department', 'stoni' ),
		            'id' => 'department',
		            'type' => 'text',
		            'class' => 'field-inputs'
				),
				array(
					'name' => esc_html__( 'Member Info', 'stoni' ),
		            'id' => 'info_items',
		            'type' => 'social',
		            'clone' => true,
		            'sort_clone' => true,
		            'options' => array(
						'name' => array(
							'name' => esc_html__( 'Name', 'stoni' ),
							'type_input' => 'text'
						),
						'description' => array(
							'name' => esc_html__( 'Description', 'stoni' ),
							'type_input' => 'text'
						),
						'link' => array(
							'name' => esc_html__( 'Link', 'stoni' ),
							'type_input' => 'text'
						),
					),
		        ),
		        array(
					'name' => esc_html__( 'Social Icons', 'stoni' ),
					'id' => "soc_icon",
					'type' => 'select_icon',
					'options' => WglAdminIcon()->get_icons_name(),
					'clone' => true,
					'sort_clone' => true,
					'placeholder' => esc_html__( 'Select an icon', 'stoni' ),
					'multiple' => false,
					'std' => 'default',
				),
		        array(
					'name' => esc_html__( 'Info Background Image', 'stoni' ),
					'id' => "mb_info_bg",
					'type' => 'file_advanced',
					'max_file_uploads' => 1,
					'mime_type' => 'image',
				),
	        ),
	    );
	    return $meta_boxes;
	}

	public function portfolio_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Portfolio Options', 'stoni' ),
	        'post_types' => array( 'portfolio' ),
	        'context' => 'advanced',
	        'fields' => array(
	        	array(
					'id' => 'mb_portfolio_featured_img',
					'name' => esc_html__( 'Show Featured image on single', 'stoni' ),
					'type' => 'switch',
					'std' => 'true',
				),
				array(
					'id' => 'mb_portfolio_title',
					'name' => esc_html__( 'Show Title on single', 'stoni' ),
					'type' => 'switch',
					'std' => 'true',
				),
				array(
					'id' => 'mb_portfolio_link',
					'name' => esc_html__( 'Add Custom Link for Portfolio Grid', 'stoni' ),
					'type' => 'switch',
				),
				array(
                    'name' => esc_html__( 'Custom Url for Portfolio Grid', 'stoni' ),
                    'id' => 'portfolio_custom_url',
                    'type' => 'text',
					'class' => 'field-inputs',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_portfolio_link','=','1')
						), ),
					),
                ),
                array(
                    'id' => 'portfolio_custom_url_target',
                    'name' => esc_html__( 'Open Custom Url in New Window', 'stoni' ),
                    'type' => 'switch',
                    'std' => 'true',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_portfolio_link','=','1')
						), ),
					),
                ),
				array(
					'name' => esc_html__( 'Info', 'stoni' ),
					'id' => 'mb_portfolio_info_items',
					'type' => 'social',
					'clone' => true,
					'sort_clone' => true,
					'desc' => esc_html__( 'Description', 'stoni' ),
					'options' => array(
						'name' => array(
							'name' => esc_html__( 'Name', 'stoni' ),
							'type_input' => 'text'
							),
						'description' => array(
							'name' => esc_html__( 'Description', 'stoni' ),
							'type_input' => 'text'
							),
						'link' => array(
							'name' => esc_html__( 'Url', 'stoni' ),
							'type_input' => 'text'
							),
					),
		        ),
		        array(
					'name'     => esc_html__( 'Info Description', 'stoni' ),
					'id'       => 'mb_portfolio_editor',
					'type'     => 'textarea',
					'multiple' => false,
					'desc' => esc_html__( 'Info description is shown in one row with a main info', 'stoni' ),
				),
		        array(
					'name' => esc_html__( 'Categories On/Off', 'stoni' ),
					'id' => "mb_portfolio_single_meta_categories",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'yes' => esc_html__( 'On', 'stoni' ),
						'no' => esc_html__( 'Off', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
		        array(
					'name' => esc_html__( 'Date On/Off', 'stoni' ),
					'id' => "mb_portfolio_single_meta_date",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'yes' => esc_html__( 'On', 'stoni' ),
						'no' => esc_html__( 'Off', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
		        array(
					'name' => esc_html__( 'Tags On/Off', 'stoni' ),
					'id' => "mb_portfolio_above_content_cats",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'yes' => esc_html__( 'On', 'stoni' ),
						'no' => esc_html__( 'Off', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
		        array(
					'name' => esc_html__( 'Share Links On/Off', 'stoni' ),
					'id' => "mb_portfolio_above_content_share",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'yes' => esc_html__( 'On', 'stoni' ),
						'no' => esc_html__( 'Off', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
	        ),
	    );
	    return $meta_boxes;
	}

	public function portfolio_post_settings_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Portfolio Post Settings', 'stoni' ),
	        'post_types' => array( 'portfolio' ),
	        'context' => 'advanced',
	        'fields' => array(
				array(
					'name' => esc_html__( 'Post Layout', 'stoni' ),
					'id' => "mb_portfolio_post_conditional",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'custom' => esc_html__( 'Custom', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
				array(
					'name' => esc_html__( 'Post Layout Settings', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_portfolio_post_conditional','=','custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Post Content Layout', 'stoni' ),
					'id' => "mb_portfolio_single_type_layout",
					'type' => 'button_group',
					'options' => array(
						'1' => esc_html__( 'Title First', 'stoni' ),
						'2' => esc_html__( 'Image First', 'stoni' ),
						'3' => esc_html__( 'Overlay Image', 'stoni' ),
						'4' => esc_html__( 'Overlay Image with Info', 'stoni' ),
					),
					'multiple' => false,
					'std' => '1',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_portfolio_post_conditional','=','custom')
						), ),
					),
				),
				array(
					'name' => esc_html__( 'Alignment', 'stoni' ),
					'id' => "mb_portfolio_single_align",
					'type' => 'button_group',
					'options' => array(
						'left' => esc_html__( 'Left', 'stoni' ),
						'center' => esc_html__( 'Center', 'stoni' ),
						'right' => esc_html__( 'Right', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'center',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_portfolio_post_conditional','=','custom')
						), ),
					),
				),
				array(
					'name' => esc_html__( 'Spacing', 'stoni' ),
					'id' => 'mb_portfolio_single_padding',
					'type' => 'wgl_offset',
					'options' => array(
						'mode' => 'padding',
						'top' => true,
						'right' => false,
						'bottom' => true,
						'left' => false,
					),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_portfolio_post_conditional','=','custom'),
							array('mb_portfolio_single_type_layout','!=','1'),
							array('mb_portfolio_single_type_layout','!=','2'),
						)),
					),
					'std' => array(
						'padding-top' => '165',
						'padding-bottom' => '165'
					)
				),
				array(
					'id' => 'mb_portfolio_parallax',
					'name' => esc_html__( 'Add Portfolio Parallax', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_portfolio_post_conditional','=','custom'),
							array('mb_portfolio_single_type_layout','!=','1'),
							array('mb_portfolio_single_type_layout','!=','2'),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Prallax Speed', 'stoni' ),
					'id' => "mb_portfolio_parallax_speed",
					'type' => 'number',
					'std' => 0.3,
					'step' => 0.1,
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_portfolio_post_conditional','=','custom'),
							array('mb_portfolio_single_type_layout','!=','1'),
							array('mb_portfolio_single_type_layout','!=','2'),
							array('mb_portfolio_parallax','=',true),
						)),
					),
				),
	        ),
	    );
	    return $meta_boxes;
	}

	public function portfolio_related_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Related Portfolio', 'stoni' ),
	        'post_types' => array( 'portfolio' ),
	        'context' => 'advanced',
	        'fields' => array(
				array(
					'id' => 'mb_portfolio_related_switch',
					'name' => esc_html__( 'Portfolio Related', 'stoni' ),
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'on' => esc_html__( 'On', 'stoni' ),
						'off' => esc_html__( 'Off', 'stoni' ),
					),
					'inline' => true,
					'multiple' => false,
					'std' => 'default'
				),
				array(
					'name' => esc_html__( 'Portfolio Related Settings', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_portfolio_related_switch','=','on')
						)),
					),
				),
	        	array(
					'id' => 'mb_pf_carousel_r',
					'name' => esc_html__( 'Display items carousel for this portfolio post', 'stoni' ),
					'type' => 'switch',
					'std' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_portfolio_related_switch','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Title', 'stoni' ),
					'id' => "mb_pf_title_r",
					'type' => 'text',
					'std' => esc_html__( 'Related Portfolio', 'stoni' ),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_portfolio_related_switch','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Categories', 'stoni' ),
					'id' => "mb_pf_cat_r",
					'multiple' => true,
					'type' => 'taxonomy_advanced',
					'taxonomy' => 'portfolio-category',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_portfolio_related_switch','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Columns', 'stoni' ),
					'id' => "mb_pf_column_r",
					'type' => 'button_group',
					'options' => array(
						'2' => esc_html__( '2', 'stoni' ),
						'3' => esc_html__( '3', 'stoni' ),
						'4' => esc_html__( '4', 'stoni' ),
					),
					'multiple' => false,
					'std' => '3',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_portfolio_related_switch','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Number of Related Items', 'stoni' ),
					'id' => "mb_pf_number_r",
					'type' => 'number',
					'min' => 0,
					'step' => 1,
					'std' => 3,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_portfolio_related_switch','=','on')
						)),
					),
				),
	        ),
	    );
	    return $meta_boxes;
	}

	public function blog_settings_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Post Settings', 'stoni' ),
	        'post_types' => array( 'post' ),
	        'context' => 'advanced',
	        'fields' => array(
				array(
					'name' => esc_html__( 'Post Layout Settings', 'stoni' ),
					'type' => 'wgl_heading',
				),
				array(
					'name' => esc_html__( 'Post Layout', 'stoni' ),
					'id' => "mb_post_layout_conditional",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'custom' => esc_html__( 'Custom', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
				array(
					'name' => esc_html__( 'Post Layout Type', 'stoni' ),
					'id' => "mb_single_type_layout",
					'type' => 'button_group',
					'options' => array(
						'1' => esc_html__( 'Title First', 'stoni' ),
						'2' => esc_html__( 'Image First', 'stoni' ),
						'3' => esc_html__( 'Overlay Image', 'stoni' ),
					),
					'multiple' => false,
					'std' => '1',
					'attributes' => array(
						'data-conditional-logic' => array(
							array(
								array('mb_post_layout_conditional','=','custom')
							),
						),
					),
				),
				array(
					'name' => esc_html__( 'Spacing', 'stoni' ),
					'id' => 'mb_single_padding_layout_3',
					'type' => 'wgl_offset',
					'options' => array(
						'mode' => 'padding',
						'top' => true,
						'right' => false,
						'bottom' => true,
						'left' => false,
					),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_post_layout_conditional','=','custom'),
							array('mb_single_type_layout','=','3'),
						)),
					),
					'std' => array(
						'padding-top' => '240',
						'padding-bottom' => '143'
					)
				),
				array(
					'id' => 'mb_single_apply_animation',
					'name' => esc_html__( 'Apply Animation', 'stoni' ),
					'type' => 'switch',
					'std' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_post_layout_conditional','=','custom'),
							array('mb_single_type_layout','=','3'),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Featured Image Settings', 'stoni' ),
					'type' => 'wgl_heading',
				),
				array(
					'name' => esc_html__( 'Featured Image', 'stoni' ),
					'id' => "mb_featured_image_conditional",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'custom' => esc_html__( 'Custom', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
				array(
					'name' => esc_html__( 'Featured Image Settings', 'stoni' ),
					'id' => "mb_featured_image_type",
					'type' => 'button_group',
					'options' => array(
						'off' => esc_html__( 'Off', 'stoni' ),
						'replace' => esc_html__( 'Replace', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'off',
					'attributes' => array(
						'data-conditional-logic' => array(
							array(
								array('mb_featured_image_conditional','=','custom')
							),
						),
					),
				),
				array(
					'name' => esc_html__( 'Featured Image Replace', 'stoni' ),
					'id' => "mb_featured_image_replace",
					'type' => 'image_advanced',
					'max_file_uploads' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_featured_image_conditional','=','custom'),
							array( 'mb_featured_image_type', '=', 'replace' ),
						)),
					),
				),
	        ),
	    );
	    return $meta_boxes;
	}

	public function blog_meta_boxes( $meta_boxes ) {
		$meta_boxes[] = array(
			'title' => esc_html__( 'Post Format Layout', 'stoni' ),
			'post_types' => array( 'post' ),
			'context' => 'advanced',
			'fields' => array(
				// Standard Post Format
				array(
					'name' => esc_html__( 'Standard Post( Enabled only Featured Image for this post format)', 'stoni' ),
					'id' => "post_format_standard",
					'type' => 'static-text',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('formatdiv','=','0')
						), ),
					),
				),
				// Gallery Post Format
				array(
					'name' => esc_html__( 'Gallery Settings', 'stoni' ),
					'type' => 'wgl_heading',
				),
				array(
					'name' => esc_html__( 'Add Images', 'stoni' ),
					'id' => "post_format_gallery",
					'type' => 'image_advanced',
					'max_file_uploads' => '',
				),
				// Video Post Format
				array(
					'name' => esc_html__( 'Video Settings', 'stoni' ),
					'type' => 'wgl_heading',
				),
				array(
					'name' => esc_html__( 'Video Style', 'stoni' ),
					'id' => "post_format_video_style",
					'type' => 'select',
					'options' => array(
						'bg_video' => esc_html__( 'Background Video', 'stoni' ),
						'popup' => esc_html__( 'Popup', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'bg_video',
				),
				array(
					'name' => esc_html__( 'Start Video', 'stoni' ),
					'id' => "start_video",
					'type' => 'number',
					'std' => '0',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('post_format_video_style','=','bg_video'),
						), ),
					),
				),
				array(
					'name' => esc_html__( 'End Video', 'stoni' ),
					'id' => "end_video",
					'type' => 'number',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('post_format_video_style','=','bg_video'),
						), ),
					),
				),
				array(
					'name' => esc_html__( 'oEmbed URL', 'stoni' ),
					'id' => "post_format_video_url",
					'type' => 'oembed',
				),
				// Quote Post Format
				array(
					'name' => esc_html__( 'Quote Settings', 'stoni' ),
					'type' => 'wgl_heading',
				),
				array(
					'name' => esc_html__( 'Quote Text', 'stoni' ),
					'id' => "post_format_qoute_text",
					'type' => 'textarea',
				),
				array(
					'name' => esc_html__( 'Author Name', 'stoni' ),
					'id' => "post_format_qoute_name",
					'type' => 'text',
				),
				array(
					'name' => esc_html__( 'Author Position', 'stoni' ),
					'id' => "post_format_qoute_position",
					'type' => 'text',
				),
				array(
					'name' => esc_html__( 'Author Avatar', 'stoni' ),
					'id' => "post_format_qoute_avatar",
					'type' => 'image_advanced',
					'max_file_uploads' => 1,
				),
				// Audio Post Format
				array(
					'name' => esc_html__( 'Audio Settings', 'stoni' ),
					'type' => 'wgl_heading',
				),
				array(
					'name' => esc_html__( 'oEmbed URL', 'stoni' ),
					'id' => "post_format_audio_url",
					'type' => 'oembed',
				),
				// Link Post Format
				array(
					'name' => esc_html__( 'Link Settings', 'stoni' ),
					'type' => 'wgl_heading',
				),
				array(
					'name' => esc_html__( 'URL', 'stoni' ),
					'id' => "post_format_link_url",
					'type' => 'url',
				),
				array(
					'name' => esc_html__( 'Text', 'stoni' ),
					'id' => "post_format_link_text",
					'type' => 'text',
				),
			)
		);
		return $meta_boxes;
	}

	public function blog_related_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Related Blog Post', 'stoni' ),
	        'post_types' => array( 'post' ),
	        'context' => 'advanced',
	        'fields' => array(

	        	array(
					'name' => esc_html__( 'Related Options', 'stoni' ),
					'id' => "mb_blog_show_r",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'custom' => esc_html__( 'Custom', 'stoni' ),
						'off'  	  => esc_html__( 'Off', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
				array(
					'name' => esc_html__( 'Related Settings', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_blog_show_r','=','custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Title', 'stoni' ),
					'id' => "mb_blog_title_r",
					'type' => 'text',
					'std' => esc_html__( 'Related Posts', 'stoni' ),
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_blog_show_r','=','custom')
						), ),
					),
				),
				array(
					'name' => esc_html__( 'Categories', 'stoni' ),
					'id' => "mb_blog_cat_r",
					'multiple' => true,
					'type' => 'taxonomy_advanced',
					'taxonomy' => 'category',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_blog_show_r','=','custom')
						), ),
					),
				),
				array(
					'name' => esc_html__( 'Columns', 'stoni' ),
					'id' => "mb_blog_column_r",
					'type' => 'button_group',
					'options' => array(
						'12' => esc_html__( '1', 'stoni' ),
						'6' => esc_html__( '2', 'stoni' ),
						'4' => esc_html__( '3', 'stoni' ),
						'3' => esc_html__( '4', 'stoni' ),
					),
					'multiple' => false,
					'std' => '6',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_blog_show_r','=','custom')
						), ),
					),
				),
				array(
					'name' => esc_html__( 'Number of Related Items', 'stoni' ),
					'id' => "mb_blog_number_r",
					'type' => 'number',
					'min' => 0,
					'step' => 1,
					'std' => 2,
					'attributes' => array(
						'data-conditional-logic' => array(
							array(
								array('mb_blog_show_r','=','custom')
							),
						),
					),
				),
	        	array(
					'id' => 'mb_blog_carousel_r',
					'name' => esc_html__( 'Display items carousel for this blog post', 'stoni' ),
					'type' => 'switch',
					'std' => 1,
					'attributes' => array(
						'data-conditional-logic' => array(
							array(
								array('mb_blog_show_r','=','custom')
							),
						),
					),
				),
	        ),
	    );
	    return $meta_boxes;
	}

	public function page_layout_meta_boxes( $meta_boxes ) {

	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Page Layout', 'stoni' ),
	        'post_types' => array( 'page' , 'post', 'team', 'practice','portfolio', 'product' ),
	        'context' => 'advanced',
	        'fields' => array(
				array(
					'name' => esc_html__( 'Page Sidebar Layout', 'stoni' ),
					'id' => "mb_page_sidebar_layout",
					'type' => 'wgl_image_select',
					'options' => array(
						'default' => get_template_directory_uri() . '/core/admin/img/options/1c.png',
						'none' => get_template_directory_uri() . '/core/admin/img/options/none.png',
						'left' => get_template_directory_uri() . '/core/admin/img/options/2cl.png',
						'right' => get_template_directory_uri() . '/core/admin/img/options/2cr.png',
					),
					'std' => 'default',
				),
				array(
					'name' => esc_html__( 'Sidebar Settings', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_sidebar_layout','!=','default'),
							array('mb_page_sidebar_layout','!=','none'),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Page Sidebar', 'stoni' ),
					'id' => "mb_page_sidebar_def",
					'type' => 'select',
					'placeholder' => 'Select a Sidebar',
					'options' => stoni_get_all_sidebar(),
					'multiple' => false,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_sidebar_layout','!=','default'),
							array('mb_page_sidebar_layout','!=','none'),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Page Sidebar Width', 'stoni' ),
					'id' => "mb_page_sidebar_def_width",
					'type' => 'button_group',
					'options' => array(
						'9' => esc_html( '25%' ),
						'8' => esc_html( '33%' ),
					),
					'std' => '9',
					'multiple' => false,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_sidebar_layout','!=','default'),
							array('mb_page_sidebar_layout','!=','none'),
						)),
					),
				),
				array(
					'id' => 'mb_sticky_sidebar',
					'name' => esc_html__( 'Sticky Sidebar On?', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_sidebar_layout','!=','default'),
							array('mb_page_sidebar_layout','!=','none'),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Sidebar Side Gap', 'stoni' ),
					'id' => "mb_sidebar_gap",
					'type' => 'select',
					'options' => array(
						'def' => 'Default',
	                    '0' => '0',
	                    '15' => '15',
	                    '20' => '20',
	                    '25' => '25',
	                    '30' => '30',
	                    '35' => '35',
	                    '40' => '40',
	                    '45' => '45',
	                    '50' => '50',
					),
					'std' => 'def',
					'multiple' => false,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_sidebar_layout','!=','default'),
							array('mb_page_sidebar_layout','!=','none'),
						)),
					),
				),
	        )
	    );
	    return $meta_boxes;
	}

	public function page_color_meta_boxes( $meta_boxes ) {

	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Page Colors', 'stoni' ),
	        'post_types' => array( 'page' , 'post', 'team', 'practice','portfolio' ),
	        'context' => 'advanced',
	        'fields' => array(
	        	array(
					'name' => esc_html__( 'Page Colors', 'stoni' ),
					'id' => "mb_page_colors_switch",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'custom' => esc_html__( 'Custom', 'stoni' ),
					),
					'inline' => true,
					'multiple' => false,
					'std' => 'default',
				),
				array(
					'name' => esc_html__( 'Colors Settings', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_colors_switch', '=', 'custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'General Theme Color', 'stoni' ),
	                'id' => 'mb_page_theme_color',
	                'type' => 'color',
	                'std' => '#cbbc9d',
					'js_options' => array( 'defaultColor' => '#cbbc9d' ),
	                'validate' => 'color',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_colors_switch', '=', 'custom'),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Theme Secondary Color', 'stoni' ),
	                'id' => 'mb_page_theme_secondary_color',
	                'type' => 'color',
	                'std' => '#ac9b79',
					'js_options' => array( 'defaultColor' => '#ac9b79' ),
	                'validate' => 'color',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_colors_switch', '=', 'custom'),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Body Background Color', 'stoni' ),
	                'id' => 'mb_body_background_color',
	                'type' => 'color',
	                'std' => '#ffffff',
					'js_options' => array( 'defaultColor' => '#ffffff' ),
	                'validate' => 'color',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_colors_switch', '=', 'custom'),
						)),
					),
	            ),
				array(
					'name' => esc_html__( 'Scroll Up Settings', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_colors_switch', '=', 'custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Button Background Color', 'stoni' ),
	                'id' => 'mb_scroll_up_bg_color',
	                'type' => 'color',
	                'std' => '#fc7268',
					'js_options' => array( 'defaultColor' => '#fc7268' ),
	                'validate' => 'color',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_colors_switch', '=', 'custom'),
						)),
					),
	            ),
	            array(
					'name' => esc_html__( 'Button Arrow Color', 'stoni' ),
	                'id' => 'mb_scroll_up_arrow_color',
	                'type' => 'color',
	                'std' => '#ffffff',
					'js_options' => array( 'defaultColor' => '#ffffff' ),
	                'validate' => 'color',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_colors_switch', '=', 'custom'),
						)),
					),
	            ),
	        )
	    );
	    return $meta_boxes;
	}

	public function page_logo_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Logo', 'stoni' ),
	        'post_types' => array( 'page', 'post' ),
	        'context' => 'advanced',
	        'fields' => array(
	        	array(
					'name' => esc_html__( 'Logo', 'stoni' ),
					'id' => "mb_customize_logo",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'custom' => esc_html__( 'Custom', 'stoni' ),
					),
					'multiple' => false,
					'inline' => true,
					'std' => 'default',
				),
				array(
					'name' => esc_html__( 'Logo Settings', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_logo','=','custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Header Logo', 'stoni' ),
					'id' => "mb_header_logo",
					'type' => 'image_advanced',
					'max_file_uploads' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_logo','=','custom')
						)),
					),
				),
				array(
					'id' => 'mb_logo_height_custom',
					'name' => esc_html__( 'Enable Logo Height', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
					    	array('mb_customize_logo','=','custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Set Logo Height', 'stoni' ),
					'id' => "mb_logo_height",
					'type' => 'number',
					'min' => 0,
					'step' => 1,
					'std' => 50,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_logo','=','custom'),
							array('mb_logo_height_custom','=',true)
						)),
					),
				),
				array(
					'name' => esc_html__( 'Sticky Logo', 'stoni' ),
					'id' => "mb_logo_sticky",
					'type' => 'image_advanced',
					'max_file_uploads' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_logo','=','custom')
						)),
					),
				),
				array(
					'id' => 'mb_sticky_logo_height_custom',
					'name' => esc_html__( 'Enable Sticky Logo Height', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
					    	array('mb_customize_logo','=','custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Set Sticky Logo Height', 'stoni' ),
					'id' => "mb_sticky_logo_height",
					'type' => 'number',
					'min' => 0,
					'step' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_logo','=','custom'),
							array('mb_sticky_logo_height_custom','=',true),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Mobile Logo', 'stoni' ),
					'id' => "mb_logo_mobile",
					'type' => 'image_advanced',
					'max_file_uploads' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_logo','=','custom')
						)),
					),
				),
				array(
					'id' => 'mb_mobile_logo_height_custom',
					'name' => esc_html__( 'Enable Mobile Logo Height', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
					    	array('mb_customize_logo','=','custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Set Mobile Logo Height', 'stoni' ),
					'id' => "mb_mobile_logo_height",
					'type' => 'number',
					'min' => 0,
					'step' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_logo','=','custom'),
							array('mb_mobile_logo_height_custom','=',true),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Mobile Menu Logo', 'stoni' ),
					'id' => "mb_logo_mobile_menu",
					'type' => 'image_advanced',
					'max_file_uploads' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_logo','=','custom')
						)),
					),
				),
				array(
					'id' => 'mb_mobile_logo_menu_height_custom',
					'name' => esc_html__( 'Enable Mobile Logo Height', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
					    	array('mb_customize_logo','=','custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Set Mobile Logo Height', 'stoni' ),
					'id' => "mb_mobile_logo_menu_height",
					'type' => 'number',
					'min' => 0,
					'step' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_logo','=','custom'),
							array('mb_mobile_logo_menu_height_custom','=',true),
						)),
					),
				),
	        )
	    );
	    return $meta_boxes;
	}

	public function page_header_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Header', 'stoni' ),
	        'post_types' => array( 'page', 'post', 'portfolio', 'product' ),
	        'context' => 'advanced',
	        'fields' => array(
	        	array(
					'name' => esc_html__( 'Header Settings', 'stoni' ),
					'id' => "mb_customize_header_layout",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'default', 'stoni' ),
						'custom' => esc_html__( 'custom', 'stoni' ),
						'hide' => esc_html__( 'hide', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
	        	array(
					'name' => esc_html__( 'Header Builder', 'stoni' ),
					'id' => "mb_customize_header",
					'type' => 'select',
					'options' => stoni_get_custom_preset(),
					'multiple' => false,
					'std' => 'default',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_header_layout','!=','hide')
						)),
					),
				),
				// It is works
				array(
					'id' => 'mb_menu_header',
					'name' => esc_html__( 'Menu ', 'stoni' ),
					'type' => 'select',
					'options' => stoni_get_custom_menu(),
					'multiple' => false,
					'std' => 'default',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_header_layout','=','custom')
						)),
					),
				),
				array(
					'id' => 'mb_header_sticky',
					'name' => esc_html__( 'Sticky Header', 'stoni' ),
					'type' => 'switch',
					'std' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_header_layout', '=', 'custom')
						)),
					),
				),
	        )
		);
		return $meta_boxes;
	}

	public function page_title_meta_boxes( $meta_boxes ) {
		$meta_boxes[] = array(
			'title' => esc_html__( 'Page Title', 'stoni' ),
			'post_types' => array( 'page', 'post', 'team', 'practice', 'portfolio', 'product' ),
			'context' => 'advanced',
			'fields' => array(
				array(
					'id' => 'mb_page_title_switch',
					'name' => esc_html__( 'Page Title', 'stoni' ),
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'on' => esc_html__( 'On', 'stoni' ),
						'off' => esc_html__( 'Off', 'stoni' ),
					),
					'std' => 'default',
					'inline' => true,
					'multiple' => false
				),
				array(
					'name' => esc_html__( 'Page Title Settings', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=', 'on' )
						)),
					),
				),
				array(
					'id' => 'mb_page_title_bg_switch',
					'name' => esc_html__( 'Use Background?', 'stoni' ),
					'type' => 'switch',
					'std' => true,
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=' ,'on' )
						)),
					),
				),
				array(
					'id' => 'mb_page_title_bg',
					'name' => esc_html__( 'Background', 'stoni' ),
					'type' => 'wgl_background',
				    'image' => '',
				    'position' => 'center bottom',
				    'attachment' => 'scroll',
				    'size' => 'cover',
				    'repeat' => 'no-repeat',
					'color' => '#323232',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=', 'on' ),
							array( 'mb_page_title_bg_switch', '=', true ),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Height', 'stoni' ),
					'id' => 'mb_page_title_height',
					'type' => 'number',
					'std' => 550,
					'min' => 0,
					'step' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=', 'on' ),
							array( 'mb_page_title_bg_switch', '=', true ),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Title Alignment', 'stoni' ),
					'id' => 'mb_page_title_align',
					'type' => 'button_group',
					'options' => array(
						'left' => esc_html__( 'left', 'stoni' ),
						'center' => esc_html__( 'center', 'stoni' ),
						'right' => esc_html__( 'right', 'stoni' ),
					),
					'std' => 'center',
					'multiple' => false,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=' ,'on' )
						)),
					),
				),
				array(
					'name' => esc_html__( 'Paddings Top/Bottom', 'stoni' ),
					'id' => 'mb_page_title_padding',
					'type' => 'wgl_offset',
					'options' => array(
						'mode' => 'padding',
						'top' => true,
						'right' => false,
						'bottom' => true,
						'left' => false,
					),
					'std' => array(
						'padding-top' => '188',
						'padding-bottom' => '88',
					),
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=' ,'on' )
						)),
					),
				),
				array(
					'name' => esc_html__( 'Margin Bottom', 'stoni' ),
					'id' => "mb_page_title_margin",
					'type' => 'wgl_offset',
					'options' => array(
						'mode' => 'margin',
						'top' => false,
						'right' => false,
						'bottom' => true,
						'left' => false,
					),
					'std' => array( 'margin-bottom' => '48' ),
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=', 'on' )
						)),
					),
				),
				array(
					'id' => 'mb_page_title_border_switch',
					'name' => esc_html__( 'Border Top Switch', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=', 'on' )
						)),
					),
				),
				array(
					'name' => esc_html__( 'Border Top Color', 'stoni' ),
					'id' => 'mb_page_title_border_color',
					'type' => 'color',
					'std' => '#e5e5e5',
					'js_options' => array(
						'defaultColor' => '#e5e5e5',
					),
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_page_title_border_switch','=',true)
						)),
					),
				),
				array(
					'id' => 'mb_page_title_parallax',
					'name' => esc_html__( 'Parallax Switch', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=', 'on' )
						)),
					),
				),
				array(
					'name' => esc_html__( 'Prallax Speed', 'stoni' ),
					'id' => 'mb_page_title_parallax_speed',
					'type' => 'number',
					'std' => 0.3,
					'step' => 0.1,
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array( 'mb_page_title_parallax','=',true ),
							array( 'mb_page_title_switch', '=', 'on' ),
						)),
					),
				),
				array(
					'id' => 'mb_page_change_tile_switch',
					'name' => esc_html__( 'Custom Page Title', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=', 'on' )
						)),
					),
				),
				array(
					'name' => esc_html__( 'Page Title', 'stoni' ),
					'id' => 'mb_page_change_tile',
					'type' => 'text',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array( 'mb_page_change_tile_switch','=','1' ),
							array( 'mb_page_title_switch', '=', 'on' ),
						)),
					),
				),
				array(
					'id' => 'mb_page_title_breadcrumbs_switch',
					'name' => esc_html__( 'Show Breadcrumbs', 'stoni' ),
					'type' => 'switch',
					'std' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=', 'on' )
						)),
					),
				),
				array(
					'name' => esc_html__( 'Breadcrumbs Alignment', 'stoni' ),
					'id' => 'mb_page_title_breadcrumbs_align',
					'type' => 'button_group',
					'options' => array(
						'left' => esc_html__( 'left', 'stoni' ),
						'center' => esc_html__( 'center', 'stoni' ),
						'right' => esc_html__( 'right', 'stoni' ),
					),
					'std' => 'center',
					'multiple' => false,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch','=','on' ),
							array( 'mb_page_title_breadcrumbs_switch', '=', '1' )
						)),
					),
				),
				array(
					'name' => esc_html__( 'Page Title Typography', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=', 'on' )
						)),
					),
				),
				array(
					'name' => esc_html__( 'Page Title Font', 'stoni' ),
					'id' => 'mb_page_title_font',
					'type' => 'wgl_font',
					'options' => array(
						'font-size' => true,
						'line-height' => true,
						'font-weight' => false,
						'color' => true,
					),
					'std' => array(
						'font-size' => '48',
						'line-height' => '58',
						'color' => '#ffffff',
					),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch', '=', 'on' )
						)),
					),
				),
				array(
					'name' => esc_html__( 'Page Title Breadcrumbs Font', 'stoni' ),
					'id' => 'mb_page_title_breadcrumbs_font',
					'type' => 'wgl_font',
					'options' => array(
						'font-size' => true,
						'line-height' => true,
						'font-weight' => false,
						'color' => true,
					),
					'std' => array(
						'font-size' => '16',
						'line-height' => '24',
						'color' => '#ffffff',
					),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array( 'mb_page_title_switch','=','on' )
						)),
					),
				),
				array(
					'name' => esc_html__( 'Responsive Layout', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_title_switch','=','on')
						)),
					),
				),
				array(
					'id' => 'mb_page_title_resp_switch',
					'name' => esc_html__( 'Responsive Layout On/Off', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_title_switch','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Screen breakpoint', 'stoni' ),
					'id' => 'mb_page_title_resp_resolution',
					'type' => 'number',
					'std' => 768,
					'min' => 1,
					'step' => 1,
				    'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_title_switch','=','on'),
							array('mb_page_title_resp_switch','=','1'),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Height', 'stoni' ),
					'id' => 'mb_page_title_resp_height',
					'type' => 'number',
					'std' => 230,
					'min' => 0,
					'step' => 1,
				    'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_title_switch','=','on'),
							array('mb_page_title_resp_switch','=','1'),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Padding Top/Bottom', 'stoni' ),
					'id' => 'mb_page_title_resp_padding',
					'type' => 'wgl_offset',
					'options' => array(
						'mode' => 'padding',
						'top' => true,
						'right' => false,
						'bottom' => true,
						'left' => false,
					),
					'std' => array(
						'padding-top' => '15',
						'padding-bottom' => '40',
					),
				    'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_title_switch','=','on'),
							array('mb_page_title_resp_switch','=','1'),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Page Title Font', 'stoni' ),
					'id' => 'mb_page_title_resp_font',
					'type' => 'wgl_font',
					'options' => array(
						'font-size' => true,
						'line-height' => true,
						'font-weight' => false,
						'color' => true,
					),
					'std' => array(
						'font-size' => '48',
						'line-height' => '58',
						'color' => '#ffffff',
					),
				    'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_title_switch','=','on'),
							array('mb_page_title_resp_switch','=','1'),
						)),
					),
				),
				array(
					'id' => 'mb_page_title_resp_breadcrumbs_switch',
					'name' => esc_html__( 'Show Breadcrumbs', 'stoni' ),
					'type' => 'switch',
					'std' => 1,
				    'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_title_switch','=','on'),
							array('mb_page_title_resp_switch','=','1'),
						)),
					),
				),
				array(
					'name' => esc_html__( 'Page Title Breadcrumbs Font', 'stoni' ),
					'id' => 'mb_page_title_resp_breadcrumbs_font',
					'type' => 'wgl_font',
					'options' => array(
						'font-size' => true,
						'line-height' => true,
						'font-weight' => false,
						'color' => true,
					),
					'std' => array(
						'font-size' => '16',
						'line-height' => '24',
						'color' => '#ffffff',
					),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_page_title_switch','=','on'),
							array('mb_page_title_resp_switch','=','1'),
							array('mb_page_title_resp_breadcrumbs_switch','=','1'),
						)),
					),
				),
	        ),
	    );
	    return $meta_boxes;
	}

	public function page_side_panel_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__('Side Panel', 'stoni'),
	        'post_types' => ['page'],
	        'context' => 'advanced',
	        'fields' => array(
	        	[
					'id' => 'mb_customize_side_panel',
					'name' => esc_html__('Side Panel', 'stoni'),
					'type' => 'button_group',
					'multiple' => false,
					'inline' => true,
					'options' => [
						'default' => esc_html__('Default', 'stoni'),
						'custom' => esc_html__('Custom', 'stoni'),
					],
					'std' => 'default',
				],
				[
					'name' => esc_html__('Side Panel Settings', 'stoni'),
					'type' => 'wgl_heading',
					'attributes' => [
					    'data-conditional-logic' => [[
							['mb_customize_side_panel', '=', 'custom']
						]],
					],
				],
				[
					'id' => 'mb_side_panel_content_type',
					'name' => esc_html__('Content Type', 'stoni'),
					'type' => 'button_group',
					'options' => [
						'widgets' => esc_html__('Widgets', 'stoni'),
						'pages' => esc_html__('Page', 'stoni')
					],
					'multiple' => false,
					'std' => 'widgets',
					'attributes' => [
					    'data-conditional-logic' => [[
							['mb_customize_side_panel', '=', 'custom']
						]],
					],
				],
				[
	        		'name' => 'Select a page',
					'id' => 'mb_side_panel_page_select',
					'type' => 'post',
					'post_type' => 'side_panel',
					'field_type' => 'select_advanced',
					'placeholder' => 'Select a page',
					'query_args' => [
					    'post_status' => 'publish',
					    'posts_per_page' => - 1,
					],
					'attributes' => [
					    'data-conditional-logic' => [[
							['mb_customize_side_panel','=','custom'],
							['mb_side_panel_content_type','=','pages']
						]],
					],
				],
				array(
					'name' => esc_html__('Paddings', 'stoni'),
					'id' => 'mb_side_panel_spacing',
					'type' => 'wgl_offset',
					'options' => array(
						'mode' => 'padding',
						'top' => true,
						'right' => true,
						'bottom' => true,
						'left' => true,
					),
					'std' => array(
						'padding-top' => '105',
						'padding-right' => '90',
						'padding-bottom' => '105',
						'padding-left' => '90'
					),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_side_panel','=','custom')
						)),
					),
				),

				array(
					'name' => esc_html__( 'Title Color', 'stoni' ),
					'id' => "mb_side_panel_title_color",
					'type' => 'color',
					'std' => '#ffffff',
					'js_options' => array(
						'defaultColor' => '#ffffff',
					),
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_customize_side_panel','=','custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Text Color', 'stoni' ),
					'id' => "mb_side_panel_text_color",
					'type' => 'color',
					'std' => '#313538',
					'js_options' => array(
						'defaultColor' => '#313538',
					),
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_customize_side_panel','=','custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Background Color', 'stoni' ),
					'id' => "mb_side_panel_bg",
					'type' => 'color',
					'std' => '#ffffff',
					'alpha_channel' => true,
					'js_options' => array(
						'defaultColor' => '#ffffff',
					),
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_customize_side_panel','=','custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Text Align', 'stoni' ),
					'id' => "mb_side_panel_text_alignment",
					'type' => 'button_group',
					'options' => array(
						'left' => esc_html__( 'Left', 'stoni' ),
						'center' => esc_html__( 'Center', 'stoni' ),
						'right' => esc_html__( 'Right', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'center',
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_customize_side_panel','=','custom')
						), ),
					),
				),
				array(
					'name' => esc_html__( 'Width', 'stoni' ),
					'id' => "mb_side_panel_width",
					'type' => 'number',
					'min' => 0,
					'step' => 1,
					'std' => 480,
					'attributes' => array(
						'data-conditional-logic' => array( array(
							array('mb_customize_side_panel','=','custom')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Position', 'stoni' ),
					'id' => "mb_side_panel_position",
					'type' => 'button_group',
					'options' => array(
						'left' => esc_html__( 'Left', 'stoni' ),
						'right' => esc_html__( 'Right', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'right',
					'attributes' => array(
						'data-conditional-logic' => array(
							array(
								array('mb_customize_side_panel','=','custom')
							),
						),
					),
				),
	        )
	    );
	    return $meta_boxes;
	}

	public function page_soc_icons_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Social Shares', 'stoni' ),
	        'post_types' => array( 'page' ),
	        'context' => 'advanced',
	        'fields' => array(
	        	array(
					'name' => esc_html__( 'Social Shares', 'stoni' ),
					'id' => "mb_customize_soc_shares",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'on' => esc_html__( 'On', 'stoni' ),
						'off' => esc_html__( 'Off', 'stoni' ),
					),
					'multiple' => false,
					'inline' => true,
					'std' => 'default',
				),
				array(
					'name' => esc_html__( 'Choose your share style.', 'stoni' ),
					'id' => "mb_soc_icon_style",
					'type' => 'button_group',
					'options' => array(
						'standard' => esc_html__( 'Standard', 'stoni' ),
						'hovered' => esc_html__( 'Hovered', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'standard',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_soc_shares','=','on')
						)),
					),
				),
				array(
					'id' => 'mb_soc_icon_position',
					'name' => esc_html__( 'Fixed Position On/Off', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_soc_shares','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Offset Top(in percentage)', 'stoni' ),
					'id' => 'mb_soc_icon_offset',
					'type' => 'number',
					'std' => 50,
					'min' => 0,
					'step' => 1,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_soc_shares','=','on')
						)),
					),
					'desc' => esc_html__( 'Measurement units defined as "percents" while position fixed is enabled, and as "pixels" while position is off.', 'stoni' ),
				),
				array(
					'id' => 'mb_soc_icon_facebook',
					'name' => esc_html__( 'Facebook Share On/Off', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_soc_shares','=','on')
						)),
					),
				),
				array(
					'id' => 'mb_soc_icon_twitter',
					'name' => esc_html__( 'Twitter Share On/Off', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_soc_shares','=','on')
						)),
					),
				),
				array(
					'id' => 'mb_soc_icon_linkedin',
					'name' => esc_html__( 'Linkedin Share On/Off', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_soc_shares','=','on')
						)),
					),
				),
				array(
					'id' => 'mb_soc_icon_pinterest',
					'name' => esc_html__( 'Pinterest Share On/Off', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_soc_shares','=','on')
						)),
					),
				),
				array(
					'id' => 'mb_soc_icon_tumblr',
					'name' => esc_html__( 'Tumblr Share On/Off', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_customize_soc_shares','=','on')
						)),
					),
				),

	        )
	    );
	    return $meta_boxes;
	}

	public function page_footer_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Footer', 'stoni' ),
	        'post_types' => array( 'page' ),
	        'context' => 'advanced',
	        'fields' => array(
	        	array(
					'name' => esc_html__( 'Footer', 'stoni' ),
					'id' => "mb_footer_switch",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'on' => esc_html__( 'On', 'stoni' ),
						'off' => esc_html__( 'Off', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
				array(
					'name' => esc_html__( 'Footer Settings', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_footer_switch','=','on')
						)),
					),
				),
				array(
					'id' => 'mb_footer_add_wave',
					'name' => esc_html__( 'Add Wave', 'stoni' ),
					'type' => 'switch',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_footer_switch','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Set Wave Height', 'stoni' ),
					'id' => "mb_footer_wave_height",
					'type' => 'number',
					'min' => 0,
					'step' => 1,
					'std' => 158,
					'attributes' => array(
					    'data-conditional-logic' => array( array(
					    	array('mb_footer_switch','=','on'),
							array('mb_footer_add_wave','=','1')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Content Type', 'stoni' ),
					'id' => 'mb_footer_content_type',
					'type' => 'button_group',
					'options' => array(
						'widgets' => esc_html__( 'Default', 'stoni' ),
						'pages' => esc_html__( 'Page', 'stoni' )
					),
					'multiple' => false,
					'std' => 'widgets',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_footer_switch','=','on')
						)),
					),
				),
				array(
	        		'name' => 'Select a page',
					'id' => 'mb_footer_page_select',
					'type' => 'post',
					'post_type' => 'footer',
					'field_type' => 'select_advanced',
					'placeholder' => 'Select a page',
					'query_args' => array(
					    'post_status' => 'publish',
					    'posts_per_page' => - 1,
					),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_footer_switch','=','on'),
							array('mb_footer_content_type','=','pages')
						)),
					),
	        	),
				array(
					'name' => esc_html__( 'Paddings', 'stoni' ),
					'id' => 'mb_footer_spacing',
					'type' => 'wgl_offset',
					'options' => array(
						'mode' => 'padding',
						'top' => true,
						'right' => true,
						'bottom' => true,
						'left' => true,
					),
					'std' => array(
						'padding-top' => '90',
						'padding-right' => '0',
						'padding-bottom' => '10',
						'padding-left' => '0'
					),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_footer_switch','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Background', 'stoni' ),
					'id' => "mb_footer_bg",
					'type' => 'wgl_background',
				    'image' => '',
				    'position' => 'center center',
				    'attachment' => 'scroll',
				    'size' => 'cover',
				    'repeat' => 'no-repeat',
					'color' => '#2e323e',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_footer_switch','=','on')
						)),
					),
				),
	        ),
	     );
	    return $meta_boxes;
	}

	public function page_copyright_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Copyright', 'stoni' ),
	        'post_types' => array( 'page' ),
	        'context' => 'advanced',
	        'fields' => array(
				array(
					'name' => esc_html__( 'Copyright', 'stoni' ),
					'id' => "mb_copyright_switch",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'on' => esc_html__( 'On', 'stoni' ),
						'off' => esc_html__( 'Off', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
				array(
					'name' => esc_html__( 'Copyright Settings', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_copyright_switch','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Editor', 'stoni' ),
					'id' => "mb_copyright_editor",
					'type' => 'textarea',
					'cols' => 20,
					'rows' => 3,
					'std' => 'Copyright © 2019 Stoni by WebGeniusLab. All Rights Reserved',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_copyright_switch','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Text Color', 'stoni' ),
					'id' => "mb_copyright_text_color",
					'type' => 'color',
					'std' => '#838383',
					'js_options' => array(
						'defaultColor' => '#838383',
					),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_copyright_switch','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Background Color', 'stoni' ),
					'id' => "mb_copyright_bg_color",
					'type' => 'color',
					'std' => '#171a1e',
					'js_options' => array(
						'defaultColor' => '#171a1e',
					),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_copyright_switch','=','on')
						)),
					),
				),
				array(
					'name' => esc_html__( 'Paddings', 'stoni' ),
					'id' => 'mb_copyright_spacing',
					'type' => 'wgl_offset',
					'options' => array(
						'mode' => 'padding',
						'top' => true,
						'right' => false,
						'bottom' => true,
						'left' => false,
					),
					'std' => array(
						'padding-top' => '10',
						'padding-bottom' => '10',
					),
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_copyright_switch','=','on')
						)),
					),
				),
	        ),
	     );
	    return $meta_boxes;

	}

	public function shop_catalog_meta_boxes( $meta_boxes ) {
	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Catalog Options', 'stoni' ),
	        'post_types' => array( 'product' ),
	        'context' => 'advanced',
	        'fields' => array(
	        	array(
					'id' => 'mb_product_carousel',
					'name' => esc_html__( 'Product Carousel', 'stoni' ),
					'type' => 'switch',
					'std' => '',
				),
	        ),
	    );
	    return $meta_boxes;
	}

	public function shop_single_meta_boxes( $meta_boxes ) {

	    $meta_boxes[] = array(
	        'title' => esc_html__( 'Post Settings', 'stoni' ),
	        'post_types' => array( 'product' ),
	        'context' => 'advanced',
	        'fields' => array(
				array(
					'name' => esc_html__( 'Post Layout', 'stoni' ),
					'id' => "mb_product_layout",
					'type' => 'button_group',
					'options' => array(
						'default' => esc_html__( 'Default', 'stoni' ),
						'custom' => esc_html__( 'Custom', 'stoni' ),
					),
					'multiple' => false,
					'std' => 'default',
				),
				array(
					'name' => esc_html__( 'Product Layout Settings', 'stoni' ),
					'type' => 'wgl_heading',
					'attributes' => array(
					    'data-conditional-logic' => array( array(
							array('mb_product_layout','=','custom')
						)),
					),
				),
	        ),
	    );
	    return $meta_boxes;
	}

}
new Stoni_Metaboxes();
