<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #main div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package stoni
 * @since 1.0.0
 * @version 1.2.2
 */

global $stoni_dynamic_css;

?>
    </main>
    <?php

    get_template_part('templates/section', 'footer');

    // ↓ Page Socials
    $render_socials = null;
    if ( class_exists( 'WooCommerce' ) ) {
        $page_socials = Stoni_Theme_Helper::get_option( 'show_soc_icon_page' );
        if ( is_shop() ) {
            $render_socials = $page_socials && Stoni_Theme_Helper::get_option( 'shop_catalog_share' );
        }
        if ( is_product() ) {
            $render_socials = $page_socials && Stoni_Theme_Helper::get_option( 'shop_single_share' );
        }
        if ( is_cart() ) {
            $render_socials = $page_socials && Stoni_Theme_Helper::get_option( 'shop_cart_share' );
        }
        if ( is_checkout() ) {
            $render_socials = $page_socials && Stoni_Theme_Helper::get_option( 'shop_checkout_share' );
        }
    }
    if (
        is_null( $render_socials )
        && is_page()
    ) {
        $render_socials = Stoni_Theme_Helper::get_option( 'show_soc_icon_page' );
    }
    if (
        class_exists( 'RWMB_Loader' )
        && get_queried_object_id() !== 0
    ) {
        switch ( rwmb_meta( 'mb_customize_soc_shares' ) ) {
            case 'on':
                $render_socials = true;
                break;
            case 'off':
                $render_socials = false;
                break;
        }
    }
    if (
        $render_socials
        && function_exists( 'wgl_theme_helper' )
    ) {
        echo wgl_theme_helper()->render_social_shares();
    }
    // ↑ page socials

    if ( Stoni_Theme_Helper::get_option('scroll_up') ) {
        echo '<a href="#" id="scroll_up"></a>';
    }

    if ( ! empty( $stoni_dynamic_css[ 'style' ] ) ) {
        echo '<span id="stoni-footer-inline-css" class="dynamic_styles-footer" style="display: none;">',
            $stoni_dynamic_css['style'],
        '</span>';
    }

    wp_footer();

    ?>
</body>
</html>